#pragma once

#include "CoreMinimal.h"
#include "FilesInformation.generated.h"

USTRUCT(BlueprintType)
struct FFilesInformation
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 onDiskPakCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 expectedPakCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 pakMountCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 onDiskUcasCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 expectedUcasCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 signedPakDelta;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 encryptionDelta;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 flagReaderCheckSignature;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 flagWorkerCheckSignature;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 execCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int64> onDiskPakSizes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int64> expectedPakSizes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int64> onDiskUcasSizes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<int64> expectedUcasSizes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString runtimeLibraries;

public:
	DEADBYDAYLIGHT_API FFilesInformation();
};

FORCEINLINE uint32 GetTypeHash(const FFilesInformation) { return 0; }
